-- $Id: load.lua 2861 2017-05-07 23:34:16Z dsb $
-- ToME - Tales of Maj'Eyal
-- Copyright © 2017 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham ("Zizzo")
-- dsb-tome@killerbunnies.org

class:bindHook('T2:load', function(self, data)
  -- Add Arcanorum to Alchemists' starting inventory.
  local Birther = require 'engine.Birther'
  local desc = Birther:getBirthDescriptor('class', 'Alchemist')
  table.insert(desc.copy, resolvers.birth_equip {
    full_id = true,
    { name='ALCHEMIC_ARCANORUM' },
  })
end)

class:bindHook('Entity:loadList', function(self, data)
  if data.file == '/data/general/objects/essences.lua' then
    -- Load the Alchemic Arcanorum object.
    self:loadList('/data-arcanorum/arcanorum.lua',
		  data.no_default, data.res, data.mod, data.loaded)
  end
end)
